Subject: Re: What's cooking in git.git (Oct 2021, #04; Thu, 14)

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Oct 2021 10:58:04 -0700

Taylor Blau <[email-masked]> writes:

> On Thu, Oct 14, 2021 at 05:28:04PM -0700, Junio C Hamano wrote:
>> * tb/repack-write-midx (2021-10-07) 10 commits
>
> This reminded me to check on the status of
>
>     https://lore.kernel.org/git/[email-masked]/
>
> which hasn't been picked up yet. Stolee took a look and didn't have any
> problems, and I think this is an important one to pick up before you cut
> -rc0, since AFAICT `git multi-pack-index {expire,repack}` are broken on
> platforms that do not allow move-into-place when the destination is
> memory mapped.

Yeah, it is still on my rader.  I think these four extra patches
build on tb/repack-write-midx, and I was waiting for the base topic
to stabilize (it had an "oops, this thing leaks" sent only a few
days before the add-on 4-patch series was sent, IIRC).

I think the base topic has been in 'next' for about a week, so it
probably is a good time to pick it up.  Thanks for pinging.